<?php namespace Engine\Events;

use Illuminate\Events\Dispatcher as Dispatcher;

class Event {

    private static $instance;

    public static function getInstance()
    {

        if (!self::$instance) {
            self::$instance = new Dispatcher();
        }
        return self::$instance;

    }

    public static function fire($event, $payload = array(), $halt = false)
    {
        static::getInstance()->fire($event, $payload, $halt);

    }

    public static function listen($events, $listener, $priority = 0)
    {
        static::getInstance()->listen($events, $listener, $priority);
    }
}