<?php namespace Engine\Job\Publish\Handlers\Couch\DesignDocuments;

class AlbumsByName implements \Doctrine\CouchDB\View\DesignDocument
{
    public function getData()
    {
        return array(
            'language' => 'javascript',
            'views' => array(
                'by_name' => array(
                    'map' => 'function(doc) {
                        if(\'album\' == doc.type) {
                            emit(doc.data.name, doc);
                        }
                    }'
                ),
            ),
        );
    }
}