<?php namespace Engine\Job\Publish\Handlers\Couch\DesignDocuments;

class CollectionsDossiers implements \Doctrine\CouchDB\View\DesignDocument
{
    public function getData()
    {
        return array(
            'language' => 'javascript',
            'views' => array(
                'collections_dossiers' => array(
                    'map' => 'function(doc) {
                        if(\'dossier\' == doc.type) {
                            for ( var i=0 ; i <= doc.on.length - 1; i++ ){
                              emit([doc.on[i],doc.id], doc); 
                            }
                        }
                    }',
                    "reduce" => "_count"
                ),
            ),
        );
    }
}