<?php namespace Engine\Job\Publish\Handlers\Couch\DesignDocuments;

class GalleriesAlbumsAssets implements \Doctrine\CouchDB\View\DesignDocument
{
    public function getData()
    {
        return array(
            'language' => 'javascript',
            'views' => array(
                'galleries_albums_assets' => array(
                    'map' => 'function(doc) {
                        if(\'gallery-album-asset\' == doc.type) {
                            emit([doc.gallery.id, doc.album.id], doc);
                        }
                    }'
                ),
            ),
        );
    }
}