<?php namespace Engine\Job\Publish\Handlers\Couch\DesignDocuments;

class Player implements \Doctrine\CouchDB\View\DesignDocument
{
    public function getData()
    {
        return array(
            'language' => 'javascript',
            'views' => array(
                'players' => array(
                    'map' => 'function(doc) {
                        if(\'player\' == doc.type) {
                           emit([doc.channel, doc.playlist, doc.video], doc);
                        }
                    }'
                ),
            ),
        );
    }
}