<?php namespace Engine\Job\Publish\Services\Posts\Schemas;

use Stage\Account\Account;
use Stage\Account\Config\Config;
use Stage\Helper;
use Stage\Post\Dossier\Dossier;
use Stage\Post\Post;
use stdClass;

class AssetSchema {

    /**
     * @var Post
     */
    private $post;

    /**
     * @var Config
     */
    private $config;

    /**
     * @var Account
     */
    private $account;

    /**
     * @var
     */
    private $baseUrl;

    public function __construct()
    {
    }

    public function setPost(Post $post)
    {
        $this->post = $post;
    }

    public function setConfig($config)
    {
        $this->config = $config;
    }

    public function setAccount(Account $account)
    {
        $this->account = $account;
        $config = $this->account->getConfig();
        $this->baseUrl = $config->get(Config::ASSET_IMAGE) . DIRECTORY_SEPARATOR . $this->account->getToken();
    }

    private function getBaseUrl()
    {
        return $this->baseUrl;
    }

    public function build()
    {
        $std = new stdClass();
        $std->id = $this->post->getId();

        return $std;
    }

}