<?php namespace Engine\Job\Publish\Support;

use Exception;
use PDO;
use Stage\Stage;

class Ad
{
    /**
     * publishEnd
     *
     * @return array
     * @throws Exception
     */
    public static function publishEnd()
    {
        try {

            $name = "PUBLISH_ADS_ENDS";
            $method = "SET";
            $parameters = [];

            $data = Stage::esp($parameters, $name, $method);
            return $data;

        } catch(Exception $e){
            throw $e;
        }
    }

    public static function publishAds()
    {
        try {

            $name = "PUBLISH_ADS";
            $method = "SET";
            $parameters = [];
            $data = Stage::esp($parameters, $name, $method);

        } catch(Exception $e){
            throw $e;
        }

    }

    /**
     * changed
     * Get all the objects to sync with couchdb
     * @return array
     * @throws Exception
     */
    public static function changed()
    {
        try {

            $name = "PUBLISH_ADS";
            $method = "GET";
            $parameters = [];

            $data = Stage::esp($parameters, $name, $method);
            return $data;

        } catch(Exception $e){
            throw $e;
        }
    }

    /**
     * sync
     *
     * @param $id
     * @param $idSync
     * @param $type
     * @return array
     * @throws Exception
     */
    public static function sync($id, $idSync, $idSyncRev, $type)
    {
        try {

            $name = "PUBLISH_ADS_SYNC";
            $method = "SET";
            $parameters = [[$id, PDO::PARAM_INT],
                            [$idSync, PDO::PARAM_STR],
                            [$idSyncRev, PDO::PARAM_STR],
                            [$type, PDO::PARAM_INT]];

            $data = Stage::esp($parameters, $name, $method);
            return $data;

        } catch(Exception $e){
            throw $e;
        }
    }

    /**
     * postsToExecute
     *
     * @return array
     * @throws Exception
     */
    public static function adsToExecute()
    {
        try {

            $name = "PUBLISH_ADS_TO_EXECUTE";
            $method = "GET";
            $parameters = [];

            $data = Stage::esp($parameters, $name, $method);
            return $data;

        } catch(Exception $e){
            throw $e;
        }
    }
}