<?php namespace Engine\Job\Publish\Handlers\Couch\DesignDocuments;

class AllDocs implements \Doctrine\CouchDB\View\DesignDocument
{
    public function getData()
    {
        return array(
            'language' => 'javascript',
            'views' => array(
                'all_docs' => array(
                    'map' => 'function(doc) {
                        emit(doc._id, 1);                                               
                    }'
                ),
            ),
        );
    }
}