<?php namespace Engine\Job\Publish\Handlers\Couch\DesignDocuments;

class AssetsDirectoriesAssets implements \Doctrine\CouchDB\View\DesignDocument
{
    public function getData()
    {
        return array(
            'language' => 'javascript',
            'views' => array(
                'directory_assets' => array(
                    'map' => 'function(doc) {
                        if(\'directory-asset\' == doc.type) {
                            emit(doc.directory.id, doc);
                        }
                    }'
                ),
            ),
        );
    }
}