<?php namespace Engine\Job\Publish\Handlers\Couch\DesignDocuments;

class CampaignComposed implements \Doctrine\CouchDB\View\DesignDocument
{
    public function getData()
    {
        return array(
            'language' => 'javascript',
            'views' => array(
                'campaign_composed' => array(
                    'map' => 'function(doc) {
                        if(\'campaign\' == doc.type) {
                          for ( var i=0 ; i <= doc.on.length - 1; i++ ){
                            // [ idComposed, idCampaign]
                            emit([doc.on[i][0],doc.on[i][1]], doc);
                          }
                        }
                    }'
                ),
            ),
        );
    }
}