<?php namespace Engine\Job\Publish\Handlers\Couch\DesignDocuments;

class ChannelPlaylist implements \Doctrine\CouchDB\View\DesignDocument
{
    public function getData()
    {
        return array(
            'language' => 'javascript',
            'views' => array(
                'channel_playlist' => array(
                    'map' => 'function(doc) {
                        if(\'channel-playlist\' == doc.type) {
                            emit([doc.channel,doc.playlist], doc);
                        }
                    }'
                ),
            ),
        );
    }
}