<?php namespace Engine\Job\Publish\Handlers\Couch\DesignDocuments;

class Channels implements \Doctrine\CouchDB\View\DesignDocument
{
    public function getData()
    {
        return array(
            'language' => 'javascript',
            'views' => array(
                'channels' => array(
                    'map' => 'function(doc) {
                        if(\'channel\' == doc.type) {
                            emit([doc.data.id, doc.publish_at], doc);
                        }
                    }',
                    "reduce" => "_count"
                ),
            ),
        );
    }
}