<?php namespace Engine\Job\Publish\Handlers\Couch\DesignDocuments;

class ChannelsByPosition implements \Doctrine\CouchDB\View\DesignDocument
{
    public function getData()
    {
        return array(
            'language' => 'javascript',
            'views' => array(
                'channels_by_position' => array(
                    'map' => 'function(doc) {
                        if(\'channel\' == doc.type) {
                            emit([doc.on[i][0], doc.on[i][2]], doc);
                        }
                    }',
                    "reduce" => "_count"
                ),
            ),
        );
    }
}