<?php namespace Engine\Job\Publish\Handlers\Couch\DesignDocuments;

class ChannelsPlaylistsByPosition implements \Doctrine\CouchDB\View\DesignDocument
{
    public function getData()
    {
        return array(
            'language' => 'javascript',
            'views' => array(
                'channels_playlists_by_position' => array(
                    'map' => 'function(doc) {
                        if(\'playlist\' == doc.type) {
                          for ( var i=0 ; i <= doc.on.length - 1; i++ ){
                            emit([doc.on[i][0], doc.on[i][2]], doc); 
                          }
                        }
                    }',
                    "reduce" => "_count"
                ),
            ),
        );
    }
}