<?php namespace Engine\Job\Publish\Handlers\Couch\DesignDocuments;

class ChannelsPlaylistsComposedVideo implements \Doctrine\CouchDB\View\DesignDocument
{
    public function getData()
    {
        return array(
            'language' => 'javascript',
            'views' => array(
                'channels_playlists_composed_video' => array(
                    'map' => 'function(doc) {
                        if(\'composed\' == doc.type && doc.on.length) {
                           for ( var i=0 ; i <= 0; i++ ){/* doc.on.length - 1 */
                            emit([doc.on[i][0],doc.on[i][1],doc.id, doc.data.date.publish], doc);
                          }
                        }
                    }'
                ),
            ),
        );
    }
}