<?php namespace Engine\Job\Publish\Handlers\Couch\DesignDocuments;

class ChannelsVideos implements \Doctrine\CouchDB\View\DesignDocument
{
    public function getData()
    {
        return array(
            'language' => 'javascript',
            'views' => array(
                'channels_videos' => array(
                    'map' => 'function(doc) {
                        if(\'composed-video\' == doc.type) {
                            emit(doc.channel, doc);
                        }
                    }'
                ),
            ),
        );
    }
}