<?php namespace Engine\Job\Publish\Handlers\Couch\DesignDocuments;

class CollectionsDossier implements \Doctrine\CouchDB\View\DesignDocument
{
    public function getData()
    {
        return array(
            'language' => 'javascript',
            'views' => array(
                'collections_dossier' => array(
                    'map' => 'function(doc) {
                        if(\'dossier\' == doc.type) {
                            emit([doc.collection.id, doc.data.id], doc);
                        }
                    }'
                ),
            ),
        );
    }
}