<?php namespace Engine\Job\Publish\Handlers\Couch\DesignDocuments;

class ETag implements \Doctrine\CouchDB\View\DesignDocument
{
    public function getData()
    {
        return array(
            'language' => 'javascript',
            'views' => array(
                'etag' => array(
                    'map' => 'function(doc) {
                        if(\'etag\' == doc.type) {
                            emit(doc._id, doc);
                        }
                    }'
                ),
            ),
        );
    }
}