<?php namespace Engine\Job\Publish\Handlers\Couch\DesignDocuments;

class GalleriesAlbums implements \Doctrine\CouchDB\View\DesignDocument
{
    public function getData()
    {
        return array(
            'language' => 'javascript',
            'views' => array(
                'galleries_albums' => array(
                    'map' => 'function(doc) {
                        if(\'gallery-album\' == doc.type) {
                            emit(doc.gallery.id, doc);
                        }
                    }'
                ),
            ),
        );
    }
}