<?php namespace Engine\Job\Publish\Handlers\Couch\DesignDocuments;

class SimpleComposedVideo implements \Doctrine\CouchDB\View\DesignDocument
{
    public function getData()
    {
        return array(
            'language' => 'javascript',
            'views' => array(
                'simple_composed_video' => array(
                    'map' => 'function(doc) {
                        if(\'composed\' == doc.type && doc.on.length) {
                           emit([doc.id], doc);
                        }
                    }'
                ),
            ),
        );
    }
}