<?php namespace Engine\Job\Publish\Handlers\Couch\DesignDocuments;

class SimpleComposedVideoBy implements \Doctrine\CouchDB\View\DesignDocument
{
    public function getData()
    {
        return array(
            'language' => 'javascript',
            'views' => array(
                'simple_composed_video_by' => array(
                    'map' => 'function(doc) {
                        if(\'composed-video\' == doc.type) {
                           emit([doc.channel,doc.playlist,doc.video], doc.public_id);
                        }
                    }'
                ),
            ),
        );
    }
}